> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Jobs

> Get the requested jobs.



## OpenAPI

````yaml /openapi/openapi_inventory.json get /commerce/inventory/v1/queue
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/queue:
    get:
      tags:
        - InventoryJob
      summary: Get Jobs
      description: Get the requested jobs.
      parameters:
        - description: Tenant specified unique Identifier of the owning location
          in: query
          name: locationCode
          required: false
          schema:
            type: string
        - description: The maximum number of results to return, defaults to 100 for most
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: User that owns the job
          in: query
          name: owner
          required: false
          schema:
            type: string
        - description: Type of the Job Queue Request
          in: query
          name: types
          required: false
          schema:
            items:
              enum:
                - REFRESH
                - ADJUST
                - RELEASE_SHIPMENTS
                - CREATE_PICK_WAVE
                - CLOSE_PICK_WAVE
                - PUT_AWAY_FILE
                - SHORT_PICK_ERROR
                - BIN_AUDIT_START
                - BIN_AUDIT_COMPLETION
                - CREATE_BIN_AUDIT
                - RELEASE_PENDING_ITEMS
              type: string
            type: array
        - description: >-
            The full name of the file that was picked up at the secure droppoint
            server before being split up by location.
          in: query
          name: originalFilename
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/JobQueueResponse'
                type: array
          description: Success
        '404':
          description: Job Not Found
components:
  schemas:
    JobQueueResponse:
      description: Response for getting a job
      properties:
        added:
          description: >-
            Time and date the job was added to the queue in ISO8601 format in
            UTC
          type: string
        finished:
          description: Time and date the job was finished in ISO8601 format in UTC
          type: string
        hasData:
          description: True if the job was not created from a fetched file
          type: boolean
        itemCount:
          description: The number of items processed, only for job types REFRESH and ADJUST
          type: integer
        jobID:
          description: Internal identifier that uniquely identifies a single job
          type: integer
        locationCode:
          description: Unique internal Identifier of the owning location
          type: string
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        originalFilename:
          description: >-
            The full name of the file that was picked up at the secure droppoint
            server before being split up by location. Applies only to refresh
            and adjust jobs created via file fetch process
          type: string
        started:
          description: Time and date the job was started in ISO8601 format in UTC
          type: string
        status:
          description: Current status of job completion
          enum:
            - PENDING
            - WORKING
            - SUCCESS
            - FAILED
          type: string
        success:
          description: Flag for success
          type: boolean
        tenantID:
          description: Unique internal identifier of the tenant that owns the job
          type: integer
        type:
          description: Purpose of the job
          enum:
            - REFRESH
            - ADJUST
            - RELEASE_SHIPMENTS
            - CREATE_PICK_WAVE
            - CLOSE_PICK_WAVE
            - PUT_AWAY_FILE
            - SHORT_PICK_ERROR
            - BIN_AUDIT_START
            - BIN_AUDIT_COMPLETION
            - CREATE_BIN_AUDIT
            - RELEASE_PENDING_ITEMS
            - ALLOCATE
            - DEALLOCATE
            - FULFILL
            - DELETE
          type: string
      title: Job Queue Response
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````